%{?nodejs_find_provides_and_requires}

%global packagename rollup-plugin-json

# disable tests to boostrap newer npm(rollup)
%global enable_tests 0

Name:		nodejs-rollup-plugin-json
Version:	3.0.0
Release:	5%{?dist}
Summary:	Convert .json files to ES6 modules:

License:	MIT
URL:		https://github.com/rollup/rollup-plugin-json.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1-9} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh
# Rollup config
Source11:	https://raw.githubusercontent.com/rollup/rollup-plugin-json/v%{version}/rollup.config.js
# license
Source12:	https://raw.githubusercontent.com/rollup/rollup/master/LICENSE.md


BuildArch:	noarch
ExclusiveArch: %{nodejs_arches} noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(rollup)
BuildRequires:	npm(rollup-pluginutils)

%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(rollup-plugin-node-resolve)
BuildRequires:	npm(source-map-support)
%endif

%description
Convert .json files to ES6 modules:


%prep
%autosetup -n package
# setup the tests
%autosetup -T -D -a 1 -n package
cp -p %{SOURCE11} .
cp -p %{SOURCE12} .

rm -rf dist/

%build
rollup -m -i src/index.js -f cjs -o dist/rollup-plugin-json.cjs.js
rollup -m -i src/index.js -f es -o dist/rollup-plugin-json.es.js

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json dist/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc *.md
%license LICENSE.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu May 31 2018 Jared K. Smith <jsmith@fedoraproject.org> - 3.0.0-1
- Initial packaging
